MONGOC_COLLECTION_RENAME(3)

NAME
mongoc_collection_rename - mongoc_collection_rename()

SYNOPSIS

bool
mongoc_collection_rename (mongoc_collection_t *collection,
                          const char *new_db,
                          const char *new_name,
                          bool drop_target_before_rename,
                          bson_error_t *error);

PARAMETERS

•   collection: A mongoc_collection_t.

•   new_db: The name of the new database.

•   new_name: The new name for the collection.

•   drop_target_before_rename: If an existing collection matches the new name, drop it before the rename.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

For more information, see mongoc_collection_rename_with_opts(). This function is a thin wrapper, passing NULL in as bson_t parameter.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc